Bug 12387

Summary: broken audio/video gtalk calls
Product: [Extras] Maemo 5 Community SSU Reporter: javiermon
Component: generalAssignee: unassigned <nobody>
Status: UNCONFIRMED QA Contact: general
Severity: enhancement    
Priority: Unspecified CC: andre_klapper, janttilauri, pali.rohar
Version: unspecified   
Target Milestone: ---   
Hardware: N900   
OS: Maemo   

Description javiermon (reporter) 2011-09-10 11:26:10 UTC
SOFTWARE VERSION: 
20.2010.36-2

EXACT STEPS LEADING TO PROBLEM: 
1. connect to gtalk
2. select a contact online with audio/video chat enabled
3. select audio/video call
4. the call ends with error

EXPECTED OUTCOME: 
an audio/video call starts
ACTUAL OUTCOME: 

REPRODUCIBILITY: 
always

OTHER COMMENTS: 
Here is a better description of the problem:
http://blog.barisione.org/2011-06/broken-gtalk-calls/

It seems that lastest telepathy-gabble (0.12.2) fixes this, so maybe the
problem could be solved by either compiling a newer version for maemo or
backporting the patch that fixed this upstream.
Comment 1 Andre Klapper maemo.org 2011-09-10 18:07:51 UTC
You filed this under the CSSU product - which exact CSSU version do you use?
Comment 2 javiermon (reporter) 2011-09-10 18:55:57 UTC
I'm using cssu version:
20.2010.36-2maemo16.8
Comment 3 Pali Rohár 2011-09-15 11:08:41 UTC
Try this version:
http://atrey.karlin.mff.cuni.cz/~pali/telepathy-gabble_0.13.5-0maemo1.dsc

It is upstream version 0.13.5 with all maemo patches.
Comment 4 Lauri Jäntti 2012-03-15 16:50:55 UTC
I installed scratchbox, tried compiling with the dsc, but it fails. glib-2.24,
gobject-2.24 and gthread-2.24 are required, but my community-ssu phone and
scratchbox only have 2.20, also telepathy-gabble might require upgrading
telepathy-glib0 etc?

quick search through the forums reveals that it's not that trivial to upgrade
glib http://talk.maemo.org/showthread.php?t=81850

maybe the /opt/glib-2.24 and LD_LIBRARY_PATH trick would do it?

And what's this? http://maemo.gitorious.org/maemo-gnome-essentials/glib